/*
 * @FilePath: \code\gitscreenFront\src\main.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-01-29 15:16:36
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { createApp } from 'vue'
import App from './App.vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'element-plus/theme-chalk/dark/css-vars.css'
import 'dayjs/locale/zh-cn'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
// import echarts from '@/utils/echarts.js'
// import echarts from '@/utils/echarts'
import VueECharts from 'vue-echarts'
import {createPinia} from 'pinia'
// import DataV, { setClassNamePrefix } from '@dataview/datav-vue3';
import dataV from "@iamzzg/data-view/dist/vue3/datav.map.vue.esm";
import './registerServiceWorker'
import router from './router'
import i18n from './locales'



import * as echarts from 'echarts/core';
import {
  BarChart,
  // 系列类型的定义后缀都为 SeriesOption
  BarSeriesOption,
  LineChart,
  LineSeriesOption,
  GaugeChart,
  GaugeSeriesOption,
  CustomChart,
  CustomSeriesOption,
  MapChart,
  PieChart,
  PieSeriesOption,
} from 'echarts/charts';
// import {LiquidfillChart,
//   LiquidfillSeriesOption,} from 'echarts-liquidfill'
import {
  TitleComponent,
  // 组件类型的定义后缀都为 ComponentOption
  TitleComponentOption,
  TooltipComponent,
  TooltipComponentOption,
  GeoComponent,
  GridComponent,
  GridComponentOption,
  VisualMapComponent ,
  TimelineComponent ,
  CalendarComponent ,
  //基准线
  MarkLineComponent,
  
  // 数据集组件
  DatasetComponent,
  DatasetComponentOption,
  // 内置数据转换器组件 (filter, sort)
  TransformComponent,
  LegendComponent,
  ToolboxComponent
} from 'echarts/components';
import { LabelLayout, UniversalTransition } from 'echarts/features';
import { CanvasRenderer } from 'echarts/renderers';

// 通过 ComposeOption 来组合出一个只有必须组件和图表的 Option 类型
type ECOption = echarts.ComposeOption<
  | BarSeriesOption
  | LineSeriesOption
  | GaugeSeriesOption
  | TitleComponentOption
  | TooltipComponentOption
  | CustomSeriesOption
  | GridComponentOption
  | DatasetComponentOption
  | PieSeriesOption
>;

// 注册必须的组件
echarts.use([
  TitleComponent,
  TooltipComponent,
  GeoComponent,
  GridComponent,
  DatasetComponent,
  TransformComponent,
  LegendComponent,
  MarkLineComponent,
  VisualMapComponent,
  TimelineComponent ,
  CalendarComponent ,
  BarChart,
  LineChart,
  GaugeChart,
  PieChart,
  MapChart,
  CustomChart,
  // LiquidfillChart,
  LabelLayout,
  UniversalTransition,
  CanvasRenderer,
  ToolboxComponent
]);

let app = createApp(App)
const store = createPinia()
app.config.globalProperties.$echarts = echarts;//vue3的挂载方式

app.config.globalProperties.$t = i18n.global.t
app.config.globalProperties.$te = i18n.global.te

app.config.globalProperties.tLang = (parent:string, item:string):string => {
  if (i18n.global.te(parent + "." + item)) {
    return i18n.global.t(parent + "." + item)
  }
  return item
}
app.component('v-chart', VueECharts)
app.use(store)
app.use(i18n)
app.use(router).use(ElementPlus, {locale: zhCn,}).use(dataV).mount('#app')