// http.ts
import axios, { AxiosRequestConfig, AxiosResponse } from 'axios'
let url = ''

// 3.创建自定义axios  限制响应时间
axios.create({

    // baseURL: url,
    timeout: 3000,
})


//请求拦截器
axios.interceptors.request.use((config: AxiosRequestConfig | any) => {
    return config;
}, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
});

//响应拦截器
axios.interceptors.response.use(function (response: AxiosResponse) {

    let status = response.status;
    return response;
}, function (error) {
    // 对响应错误做点什么
    return Promise.reject(error);
});


export function get(staurl: string, data: any = '') {

    let _url = url + staurl //"?" + strData;

    return new Promise((resolve, rejects) => {
        let header = { //请求头设置
            "Access-Control-Allow-Origin": "*"
        }
        axios({
            url: _url,//在线跨域请求
            method: "get",//默认是get请求
            headers: header,
            params: data
        }).then(function (val) {
            // console.log(val) // axios会对我们请求来的结果进行再一次的封装（ 让安全性提高 ）
            resolve(val.data)
        }).catch(function (err) {
            // console.log(err)
            rejects(err)
        })

    })
}


export function put(staurl: string, data: any = '') {

    let _url = url + staurl //"?" + strData;

    return new Promise((resolve, rejects) => {
        let header = { //请求头设置
            "Access-Control-Allow-Origin": "*"
        }
        axios({
            url: _url,//在线跨域请求
            method: "put",//默认是get请求
            headers: header,
            params: data
        }).then(function (val) {
            // console.log(val) // axios会对我们请求来的结果进行再一次的封装（ 让安全性提高 ）
            resolve(val.data)
        }).catch(function (err) {
            // console.log(err)
            rejects(err)
        })

    })
}


export function post(staurl: string, data: any = "", method: string = "POST") {

    // strData = 'code=' + code + '&sign=' + strSign + '&para=' + tmpPara;
    // console.log(strData);
    let _url = url + staurl //+ "?" + strData;
    let METHOD = method || "POST"
    return new Promise((resolve, rejects) => {
        let params: any = {}
        // 处理表单结果中文件的操作

        axios({
            url: _url,
            method: METHOD,
            data: data
        }).then(function (res) {
            // console.log(val) // axios会对我们请求来的结果进行再一次的封装（ 让安全性提高 ）
            resolve(res.data)
        }).catch(function (err) {
            // console.log(err)
            rejects(err)
        })


    })
}


