

const BASE_API = process.env.VUE_APP_BASE_API



/**
 * 
 * @param ori_data 
 * @returns 
 */
export default function getOriToData(ori_data: Object) {

  let data: object = ori_data;

  let dev_type = {
    "JJ412": {
      top: [
        { key: data['activation']||0 + "%", val: "稼动率" },
        { key: data['in1'] == "0"?'停止':'启动', val: "设备状态" },
        { key: data['in2'] == "0"?'上电':'断电', val: "上电状态" },
        { key: parseInt(data['speed0']) + "转", val: "设备转速" }
      ],
      bottom: {
        image: BASE_API + data['image'],
        data: [
          { key: data['adc1'] + 'mm', val: "操作台距原点距离" },
          { key: data['in7'] == "0"?'工作':'空挡', val: "档杆状态" },
          { key: data['adc2'] + 'mm', val: "套筒台距原点距离" },
          { key: data['in4'] == "0"?'开启':'关闭', val: "切削液状态" },
          { key: data['in3'] == "0"?'开启':'关闭', val: "照明状态" }
        ]
      }
    },
    "JJ508": {
      top: [
        { key: data['activation']||0 + "%", val: "稼动率" },
        { key: getDevStatus(), val: "设备状态" },
        { key:  parseInt(data['speed0']) + '转', val: "钻头转速" },
        { key: data['in8'] == "0"?'下降':'未下降', val: "钻头状态" }
      ],
      bottom: {
        image: BASE_API + data['image'],
        data: [
          { key: getRotateGear(), val: "正转反转" },
          { key: [data['adc1'] + 'mm', parseFloat(data['speed1']).toFixed(1)+'mm/s'], val: "平台X轴距原点位置和速度" },
          { key: getSpeedGear(), val: "高速低速" },
          { key: data['adc2'] + 'mm', val: "平台y轴距原点位置" },
          { key: data['adc3'] + 'mm', val: "平台z轴距原点位置" }
        ]
      }
    },
  }



/**
 * 获得设备状态
 */
function getDevStatus() {
  if (data['in1'] == "1" && (data['in2'] == "1" || data['in3'] == 1)&&(data['in4'] == "1" || data['in7'] == 1)) {
    return '工作'    
  } else if(data['in1'] == 1) {
    return '待机'
  } else {
    return '停机'
  }
}


/**
 * 获取正反转档位
 */
function getRotateGear() {  
  if (data['in2'] == "1") {
    return '正转'
  } else if(data['in3'] == "1") {
    return '反转'
  } else {
    return '中间位'
  }
}

/**
 * 获取速度档位
 */
function getSpeedGear() {
  if (data['in4'] == "1") {
    return '高速'
  } else if(data['in7'] == "1") {
    return '低速'
  } else {
    return '中间位'
  }
}









  return dev_type[ori_data['signalGroup']]
}

